<!-- prettier-ignore-start -->
# Class CouponRedemption

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.campaign.CouponRedemption](dw.campaign.CouponRedemption.md)

Represents a redeemed coupon.


## Property Summary

| Property | Description |
| --- | --- |
| [customerEmail](#customeremail): [String](TopLevel.String.md) `(read-only)` | Returns email of redeeming customer. |
| [orderNo](#orderno): [String](TopLevel.String.md) `(read-only)` | Returns number of the order the code was redeemed with. |
| [redemptionDate](#redemptiondate): [Date](TopLevel.Date.md) `(read-only)` | Returns date of redemption. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getCustomerEmail](dw.campaign.CouponRedemption.md#getcustomeremail)() | Returns email of redeeming customer. |
| [getOrderNo](dw.campaign.CouponRedemption.md#getorderno)() | Returns number of the order the code was redeemed with. |
| [getRedemptionDate](dw.campaign.CouponRedemption.md#getredemptiondate)() | Returns date of redemption. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### customerEmail
- customerEmail: [String](TopLevel.String.md) `(read-only)`
  - : Returns email of redeeming customer.


---

### orderNo
- orderNo: [String](TopLevel.String.md) `(read-only)`
  - : Returns number of the order the code was redeemed with.


---

### redemptionDate
- redemptionDate: [Date](TopLevel.Date.md) `(read-only)`
  - : Returns date of redemption.


---

## Method Details

### getCustomerEmail()
- getCustomerEmail(): [String](TopLevel.String.md)
  - : Returns email of redeeming customer.

    **Returns:**
    - email of redeeming customer.


---

### getOrderNo()
- getOrderNo(): [String](TopLevel.String.md)
  - : Returns number of the order the code was redeemed with.

    **Returns:**
    - number of the order the code was redeemed with.


---

### getRedemptionDate()
- getRedemptionDate(): [Date](TopLevel.Date.md)
  - : Returns date of redemption.

    **Returns:**
    - date of redemption.


---

<!-- prettier-ignore-end -->
